RDKit::EnumerationStrategyPickler Namespace Reference

## Functions

RDKIT_CHEMREACTIONS_EXPORT void | pickle (const boost::shared_ptr< EnumerationStrategyBase > &enumerator, std::ostream &ss)
| pickles a EnumerationStrategy and adds the results to a stream `ss` More...
RDKIT_CHEMREACTIONS_EXPORT void | pickle (const boost::shared_ptr< EnumerationStrategyBase > &enumerator, std::string &s)
RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr< EnumerationStrategyBase > | fromPickle (std::istream &pickle)
RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr< EnumerationStrategyBase > | fromPickle (const std::string &pickle)
| a pointer to the EnumerationStrategyBase More...

## Function Documentation

## fromPickle() [1/2]

RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr<EnumerationStrategyBase> RDKit::EnumerationStrategyPickler::fromPickle | ( | const std::string & | pickle | ) |

a pointer to the EnumerationStrategyBase

## fromPickle() [2/2]

RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr<EnumerationStrategyBase> RDKit::EnumerationStrategyPickler::fromPickle | ( | std::istream & | pickle | ) |

constructs a EnumerationStrategy from a pickle stored in a string Since an EnumerationStrategyBase is polymorphic, this must return a shared pointer to the EnumerationStrategyBase

## pickle() [1/2]

RDKIT_CHEMREACTIONS_EXPORT void RDKit::EnumerationStrategyPickler::pickle | ( | const boost::shared_ptr< EnumerationStrategyBase > & | enumerator,
|  | std::ostream & | ss
| ) |  |

pickles a EnumerationStrategy and adds the results to a stream `ss`

Referenced by RDKit::CachedMolHolder::addBinary(), ChemicalFeatures::FreeChemicalFeature::FreeChemicalFeature(), RDKit::MolCatalogEntry::MolCatalogEntry(), RDKit::MolPickler::molFromPickle(), RDKit::ReactionPickler::reactionFromPickle(), and RDKit::SubstructLibrary::SubstructLibrary().

## pickle() [2/2]

RDKIT_CHEMREACTIONS_EXPORT void RDKit::EnumerationStrategyPickler::pickle | ( | const boost::shared_ptr< EnumerationStrategyBase > & | enumerator,
|  | std::string & | s
| ) |  |